> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Terminate billing term

PATCH https://integrators.prod.api.tabsplatform.com/v3/contracts/{id}/billing-terms/{billingTermId}/terminate
Content-Type: application/json

Terminates a billing term as of the given end date. This is irreversible: once terminated, the billing term can never be edited again (enforced both backend and frontend).

Reference: https://docs.tabs.com/api-reference/contracts/integrators-api-contractsv-3-controller-terminate-billing-term

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /v3/contracts/{id}/billing-terms/{billingTermId}/terminate:
    patch:
      operationId: integrators-api-contractsv-3-controller-terminate-billing-term
      summary: Terminate billing term
      description: >-
        Terminates a billing term as of the given end date. This is
        irreversible: once terminated, the billing term can never be edited
        again (enforced both backend and frontend).
      tags:
        - contracts
      parameters:
        - name: id
          in: path
          description: Contract Id
          required: true
          schema:
            type: string
        - name: billingTermId
          in: path
          description: Billing Term Id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Billing term terminated; invoice regeneration enqueued
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TerminateBillingTermResponseDto'
        '400':
          description: Bad Request - validation failed
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Contract or billing term not found
          content:
            application/json:
              schema:
                description: Any type
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TerminateBillingTermDto'
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    TerminateBillingTermDto:
      type: object
      properties:
        endDate:
          type: string
          description: Termination end date
      required:
        - endDate
      title: TerminateBillingTermDto
    TerminateBillingTermResponseDto:
      type: object
      properties:
        id:
          type: string
          description: Billing term ID
        terminatedAt:
          type: string
          description: Timestamp the billing term was terminated
      required:
        - id
        - terminatedAt
      title: TerminateBillingTermResponseDto
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Request**

```json
{
  "endDate": "2025-06-30"
}
```

**Response**

```json
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "terminatedAt": "2024-06-15T10:45:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/terminate"

payload = { "endDate": "2025-06-30" }
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/terminate';
const options = {
  method: 'PATCH',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"endDate":"2025-06-30"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/terminate"

	payload := strings.NewReader("{\n  \"endDate\": \"2025-06-30\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/terminate")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"endDate\": \"2025-06-30\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/terminate")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"endDate\": \"2025-06-30\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/terminate', [
  'body' => '{
  "endDate": "2025-06-30"
}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/terminate");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"endDate\": \"2025-06-30\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["endDate": "2025-06-30"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/terminate")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```